Subject: [PATCH v3] ARM: mxs: Add initial support for Bluegiga APX4 Development Kit

From: [email-masked] (Lauri Hintsala)
Date: Mon, 19 Dec 2011 11:32:20 +0200

On 12/19/2011 11:15 AM, Russell King - ARM Linux wrote:
> On Mon, Dec 19, 2011 at 09:13:22AM +0000, Russell King - ARM Linux wrote:
>> On Mon, Dec 19, 2011 at 05:19:17PM +0800, Shawn Guo wrote:
>>> We have seen APX4DEVKIT in the ARM machine database.  But you did not
>>> include it in the commit aef1c03 (ARM: Update mach-types) which is
>>> sitting on -next.  Can you please include it as we plan to merge the
>>> board support during the coming merge window?
>>
>> No.  It will be automatically removed from any update as long as it does
>> not conform to the requirements - that is, in this case, the strings
>> being out of sync indentified in the message to which you replied to.
>>
>> Someone needs to tell me what the correct entry is supposed to look like.
>
> Also, whether Veli-Pekka Peltola is should still be the current owner
> or whether there's someone more appropriate to be looking after this
> entry (eg, the active platform maintainer) ?

Correct values:

Type ID:  	3712
Machine name:  	Bluegiga APX4 Development Kit
Machine type:  	apx4devkit
Type macro:  	machine_is_apx4devkit()
Kconfig macro:  	CONFIG_MACH_APX4DEVKIT (this should be fixed)
Type identifier:  	MACH_TYPE_APX4DEVKIT (this should be fixed)

Veli-Pekka is my colleague and it is ok to keep him as contact person. 
Thanks in advance.

BR,
Lauri